%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Pitivi non linear video editor under Linux
Name:		pitivi
Version: 	0.15.2
Release: 	%mkrel 3
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		Video/Editors and Converters
URL:		http://www.pitivi.org
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
Requires:	python-zope-interface
Requires:	python-pkg-resources
Requires:	pygtk2.0-libglade
Requires:	gnome-python
Requires:	gnome-python-gnomevfs
Requires:	gstreamer0.10-python >= 0.10.19
Requires:	gstreamer0.10-plugins-base >= 0.10.24
Requires:       gstreamer0.10-plugins-good
Requires:       gstreamer0.10-plugins-bad
Requires:       gstreamer0.10-plugins-ugly
Requires:       gstreamer0.10-ffmpeg
Requires:	gnonlin >= 0.10.16
Requires:	frei0r
Requires:	python-pygoocanvas
Requires:	python-dbus
Requires:	python-pyxdg

%description
Non Linear Video Editor using the popular GStreamer media framework.

%prep
%setup -q
%apply_patches

# install python files to %%python_sitelib/pitivi
find . -name Makefile.am -exec sed -i -e 's|$(libdir)/pitivi/python/pitivi|$(pkgpythondir)|g' {} \;
find . -name Makefile.in -exec sed -i -e 's|$(libdir)/pitivi/python/pitivi|$(pkgpythondir)|g' {} \;

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS  ChangeLog NEWS RELEASE
%{python_sitelib}/%{name}
%{_datadir}/pitivi/
%{_bindir}/pitivi
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.15.2-3.mga3
+ Revision: 377761
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 ovitters <ovitters> 0.15.2-2.mga3
+ Revision: 322369
- clean spec
- fix group

* Thu May 03 2012 ovitters <ovitters> 0.15.2-1.mga3
+ Revision: 234681
- new version 0.15.2

* Sat Feb 25 2012 wally <wally> 0.15.1-1.mga2
+ Revision: 214323
- new version 0.15.1

* Wed Sep 28 2011 wally <wally> 0.15.0-1.mga2
+ Revision: 149955
- new version 0.15.0

* Mon Sep 12 2011 fwang <fwang> 0.14.91-1.mga2
+ Revision: 142575
- new version 0.14.91

  + wally <wally>
    - require pyxdg (mdv#64026)
    - require frei0r
    - install python files to %%python_sitelib
    - change suggests to requires
    - clean .spec
    - imported package pitivi

